## EMBOSS: prophet

# Program prophet

## Function

Gapped alignment for profiles

## Description

prophet finds matches between a GRIBSKOV or HENIKOFF profile produced by prophecy and one or more sequences.

Note: prophet does NOT use the 'simple frequency matrices' produced by prophecy. If you have a 'simple frequency matrix'you should use the program profit to scan sequences.

## Usage

Here is a sample session with prophet.

    (The sequence alignment looks like:)
    % more m.seq
    >one
    DEVGGEA-GRLLVVYPWTQR
    >two
    DEVGREALGRLL-VYPWTQR
    >three
    DEVGGEALGRILVVY-WTQR
    >four
    DEVGGEAAGRVLVVYPWTQR

    (Create the profile:)
    % prophecy
    Creates matrices/profiles from multiple alignments
    Input sequence set: m.seq
    Profile type
             F : Frequency
             G : Gribskov
             H : Henikoff
    Select type [F]: g
    Enter a name for the profile [mymatrix]:
    Scoring matrix [Epprofile]:
    Gap opening penalty [3.0]:
    Gap extension penalty [0.3]:
    Output file [outfile.prophecy]:

    (Now do the search:)
    % prophet
    Gapped alignment for profiles
    Input sequence(s): sw:*
    Profile or matrix file: outfile.prophecy
    Gap opening coefficient [1.0]:
    Gap extension coefficient [0.1]:
    Output file [100k_rat.prophet]:

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          seqall     Sequence database USA
      [-infile]            infile     Profile or matrix file
       -gapopen            float      Gap opening coefficient
       -gapextend          float      Gap extension coefficient
      [-outfile]           outfile    Output file name

       Optional qualifiers: (none)
       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
[-infile] (Parameter 2) | Profile or matrix file | Input file | Required
-gapopen | Gap opening coefficient | Any integer value | 1.0
-gapextend | Gap extension coefficient | Any integer value | 1.0
[-outfile] (Parameter 3) | Output file name | Output file | <sequence>.prophet
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

It reads a GRIBSKOV or a HENIKOFF profile produced by prophecy and searches one or more sequences.

## Output file format

The output of the above example follows:

    Local: Consensus vs 100K_RAT
    Score: 161.00

    Consensus       1        DEV.G.GEALG.RLLVVYPWTQ                        19
                             |:: : ::||| ||:  ||::|
    100K_RAT        479      DPLPAHRQALGERLY..YPRVQ                        498
    Local: Consensus vs 104K_THEPA
    Score: 138.25

    Consensus       1        D.EVGGEAL.GRLLVVY.PWTQR                       20
                             : ||:::|  |  :|:: |::::
    104K_THEPA      160      KYEVETHAKNGANMVTFIPRNGH                       182
    Local: Consensus vs 108_LYCES
    Score: 107.50

    Consensus       1        DEVGGEAL.GRLLV.VYP..WTQ                       19
                             ::::| :: :::|| : |  :|:
    108_LYCES       43       ASLTGLNVCAPFLVPGSPTASTE                       65
    Local: Consensus vs 10KD_VIGUN
    Score: 153.25

    Consensus       1        DE.V.GGEA.LGRLLV.VY..P.WT                     18
                             :| | ::|| ::  || :|  | :|
    10KD_VIGUN      20       QEVVVQSEAKTCENLVDTYRGPCFT                     44
    Local: Consensus vs 110K_PLAKN
    Score: 123.00

    Consensus       1        DEVGGEALGRLLV..VYPW.TQ                        19
                             || ::::::  :|  | :  ||
    110K_PLAKN      55       DENDEDEMTEQMVEEVADHITQ                        76
    Local: Consensus vs 11S3_HELAN
    Score: 156.50

    Consensus       1        D..EV.GGEALGRLLVVY.PWTQR                      20
                             :  || ::|| : :  :: :::|:
    11S3_HELAN      41       EPIEVIQAEAGV.VTEIWDAYDQQ                      63

    etc.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

prophet does NOT use the 'simple frequency matrices' produced by prophecy. If you have a 'simple frequency matrix'you should use the program profit to scan sequences.

## Diagnostic Error Messages

If you see something like:

       EMBOSS An error in prophet.c at line 110:
    Unrecognised profile/matrix file format

then you have probably given prophet a 'simple frequency matrix' and not a a GRIBSKOV or HENIKOFF profile produced by prophecy.

If you see something like:

    Uncaught exception
    Allocation Failed
    raised at prophet.c:147

then you have run out of memory. This will occur if your sequence and/or your profile are large.

prophet

allocates space based on the length of the sequence and the size of the profile (8 x seqlen x profilelen)

## Exit status

It exists with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
profit | Scan a sequence or database with a matrix or profile
prophecy | Creates matrices/profiles from multiple alignments

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

Written (1999) - author - Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments